Bug 13771 - Koha 3.18 Help Files
Summary: Koha 3.18 Help Files
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Documentation (show other bugs)
Version: 3.18
Hardware: All All
: P5 - low normal (vote)
Assignee: Nicole C. Engard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-02 08:55 UTC by Nicole C. Engard
Modified: 2015-12-03 22:02 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
0001-Bug-13771-Main-Page-Help-fro-3.18 (3.27 KB, text/plain)
2015-03-02 09:50 UTC, Nicole C. Engard
Details
[SIGNED-OFF] Bug 13771: Main Page Help fro 3.18 (3.27 KB, patch)
2015-03-02 10:14 UTC, Jesse Maseto
Details | Diff | Splinter Review
BUG 13771: Update Tools Help Files for 3.18 (4.13 KB, patch)
2015-03-02 10:34 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[SIGNED-OFF] BUG 13771: Update Tools Help Files for 3.18 (4.12 KB, patch)
2015-03-02 13:38 UTC, Jesse Maseto
Details | Diff | Splinter Review
[SIGNED OFF] BUG 13771: Update Tools Help Files for 3.18 (4.19 KB, patch)
2015-03-02 14:55 UTC, Jesse Maseto
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13771: Main Page Help fro 3.18 (3.34 KB, patch)
2015-03-02 15:01 UTC, Jesse Maseto
Details | Diff | Splinter Review
Bug 13771: Update Circ Help File (4.73 KB, patch)
2015-03-02 15:52 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13771: Update Circ Help File (4.80 KB, patch)
2015-03-03 09:23 UTC, Jesse Maseto
Details | Diff | Splinter Review
Bug 13771: Add admin help files for 3.18 (19.56 KB, patch)
2015-03-03 10:03 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13771: Add admin help files for 3.18 (19.62 KB, patch)
2015-03-04 11:16 UTC, Jesse Maseto
Details | Diff | Splinter Review
Bug 13771: Add missing item search help file (1.71 KB, patch)
2015-03-04 15:49 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 13771: Add missing item search help file (1.77 KB, patch)
2015-03-04 16:16 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 13771: Update manage staged marc help for 3.18 (1.33 KB, patch)
2015-03-05 10:05 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13771: Update manage staged marc help for 3.18 (1.41 KB, patch)
2015-03-05 10:39 UTC, Larry Baerveldt
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13771: Update manage staged marc help for 3.18 (1.41 KB, patch)
2015-03-05 10:41 UTC, Larry Baerveldt
Details | Diff | Splinter Review
Bug 13753: koha-indexer contains invalid statement (1.52 KB, patch)
2015-03-05 11:09 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 13759 - git-build-snapshot misses YUI and dies of sorrow during build (1.21 KB, patch)
2015-03-05 11:09 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 13676 - OpacSuppression description says 'items' but means 'records' (2.16 KB, patch)
2015-03-05 11:09 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 13741: "No fund found" is not translatable (1.45 KB, patch)
2015-03-05 11:09 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 13745: Fix serial collection page to always show branch name (1.94 KB, patch)
2015-03-05 11:09 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 13731: Suggestions reason does not save on updating the status (1.95 KB, patch)
2015-03-05 11:09 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
[PASSED QA] BUG 13771: Update Tools Help Files for 3.18 (4.21 KB, patch)
2015-03-06 14:17 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 13771: Main Page Help fro 3.18 (3.40 KB, patch)
2015-03-06 14:17 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 13771: Update Circ Help File (4.86 KB, patch)
2015-03-06 14:17 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 13771: Add admin help files for 3.18 (19.67 KB, patch)
2015-03-06 14:17 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 13771: Add missing item search help file (1.83 KB, patch)
2015-03-06 14:17 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 13771: Update manage staged marc help for 3.18 (1.46 KB, patch)
2015-03-06 14:17 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2015-03-02 08:55:40 UTC
To come.
Comment 1 Nicole C. Engard 2015-03-02 09:50:31 UTC Comment hidden (obsolete)
Comment 2 Jesse Maseto 2015-03-02 10:14:53 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2015-03-02 10:34:45 UTC Comment hidden (obsolete)
Comment 4 Jesse Maseto 2015-03-02 13:38:52 UTC Comment hidden (obsolete)
Comment 5 Jesse Maseto 2015-03-02 14:55:07 UTC Comment hidden (obsolete)
Comment 6 Jesse Maseto 2015-03-02 15:01:45 UTC Comment hidden (obsolete)
Comment 7 Nicole C. Engard 2015-03-02 15:52:11 UTC Comment hidden (obsolete)
Comment 8 Jesse Maseto 2015-03-03 09:23:36 UTC Comment hidden (obsolete)
Comment 9 Brendan Gallagher 2015-03-03 10:02:19 UTC
FAIL	koha-tmpl/intranet-tmpl/prog/en/modules/help/circ/circulation.tt
   FAIL	  forbidden patterns
		forbidden pattern: tab char (line 79)
		forbidden pattern: tab char (line 16)
   OK	  tt_valid
   OK	  valid_template
Comment 10 Nicole C. Engard 2015-03-03 10:03:34 UTC Comment hidden (obsolete)
Comment 11 Nicole C. Engard 2015-03-03 10:08:18 UTC
Brendan,

All of the help files have tabs because they are HTML and this is okay (according to the conversation with Katrin at hackfest).

Thanks,
Nicole
Comment 12 Nicole C. Engard 2015-03-03 10:08:39 UTC
The newest patch (admin help for 3.18) needs sign off.

Nicole
Comment 13 Bernardo Gonzalez Kriegel 2015-03-03 15:29:15 UTC
(In reply to Nicole C. Engard from comment #12)
> The newest patch (admin help for 3.18) needs sign off.
> 
> Nicole

On help/admin/branches.tt, it's 'New library' and 'New group', not with capitalized second word
There are similar cases on the other files, but that predates this bug.

koha-qa complains about tabs, not all of them, only the new ones that you are introducing :)
Comment 14 Jesse Maseto 2015-03-04 11:16:23 UTC Comment hidden (obsolete)
Comment 15 Nicole C. Engard 2015-03-04 15:49:13 UTC Comment hidden (obsolete)
Comment 16 Mirko Tietgen 2015-03-04 16:16:27 UTC Comment hidden (obsolete)
Comment 17 Mirko Tietgen 2015-03-04 16:18:50 UTC
Item search help works for me.

I noticed that about the first half of the text is a description of how to get to the very page you open that help file from, I'm not sure it is very helpful in this context. :)
Comment 18 Nicole C. Engard 2015-03-05 10:05:16 UTC Comment hidden (obsolete)
Comment 19 Larry Baerveldt 2015-03-05 10:39:24 UTC Comment hidden (obsolete)
Comment 20 Larry Baerveldt 2015-03-05 10:41:33 UTC Comment hidden (obsolete)
Comment 21 sandboxes@biblibre.com 2015-03-05 11:08:15 UTC
Patch tested with a sandbox, by JA <aloi54@live.fr>
Comment 22 sandboxes@biblibre.com 2015-03-05 11:09:22 UTC Comment hidden (obsolete)
Comment 23 sandboxes@biblibre.com 2015-03-05 11:09:25 UTC Comment hidden (obsolete)
Comment 24 sandboxes@biblibre.com 2015-03-05 11:09:28 UTC Comment hidden (obsolete)
Comment 25 sandboxes@biblibre.com 2015-03-05 11:09:31 UTC Comment hidden (obsolete)
Comment 26 sandboxes@biblibre.com 2015-03-05 11:09:35 UTC Comment hidden (obsolete)
Comment 27 sandboxes@biblibre.com 2015-03-05 11:09:38 UTC Comment hidden (obsolete)
Comment 28 Chris Cormack 2015-03-05 21:38:54 UTC
Something has gone really wrong on here, the sandbox has attached a bunch of unrelated patches.
Comment 29 Katrin Fischer 2015-03-06 14:17:24 UTC
Created attachment 36708 [details] [review]
[PASSED QA] BUG 13771: Update Tools Help Files for 3.18

This patch creates a helpf ile for the batch record delete tool
and updates the help files for notices and marc export.

To test:

* Visit tools > batch record deletion
* confirm help is right
* Visit tools > Notices & Slips
* confirm help is right
* Visit tools > export marc
* cofirm the help is right

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 30 Katrin Fischer 2015-03-06 14:17:28 UTC
Created attachment 36709 [details] [review]
[PASSED QA] Bug 13771: Main Page Help fro 3.18

This updates the main page help file for 3.18.

To test:
* Log in to staff cleint
* Click help on the mian page
* Review help file

Signed-off-by: Jesse Maseto <jesse@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 31 Katrin Fischer 2015-03-06 14:17:32 UTC
Created attachment 36710 [details] [review]
[PASSED QA] Bug 13771: Update Circ Help File

This updates the main circulation help file with new features in 3.18.

To test:

* visit circulation page
* click help
* review text

Signed-off-by: Jesse Maseto <jesse@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 32 Katrin Fischer 2015-03-06 14:17:36 UTC
Created attachment 36711 [details] [review]
[PASSED QA] Bug 13771: Add admin help files for 3.18

This patch adds a new help file for column settings and updates the
files for budgets, funds, libraries, patron categories, and circ rules.

To test:

* Visit the above listed admin pages
* Review help files

Signed-off-by: Jesse Maseto <jesse@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 33 Katrin Fischer 2015-03-06 14:17:40 UTC
Created attachment 36712 [details] [review]
[PASSED QA] Bug 13771: Add missing item search help file

This patch adds a help file for the staff item search.

To test:

* Click search
* click item search
* click help
* review the help file

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 34 Katrin Fischer 2015-03-06 14:17:44 UTC
Created attachment 36713 [details] [review]
[PASSED QA] Bug 13771: Update manage staged marc help for 3.18

This updates the manage staged marc files help.

To test:

* Visit Tools > Staged MARC record management
* Click help
* Confirm it's there and correct

Signed-off-by: Larry Baerveldt <larry@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 35 Tomás Cohen Arazi 2015-03-07 21:11:32 UTC
Patches pushed to master.

Nice job Nicole!
Comment 36 Chris Cormack 2015-03-13 01:20:15 UTC
Pushed to 3.18.x will be in 3.18.5